%define uname		dbus-sharp
%define pkgname		%{uname}-1.0

Name:			dbus-sharp1.0
Summary:		Managed D-Bus implementation
Version:		0.7.0
Release:		%mkrel 7
Group:			System/Libraries
License:		MIT
Url:			http://mono.github.com/dbus-sharp/
Source0:		https://github.com/downloads/mono/%{uname}/%{uname}-%{version}.tar.gz
BuildRequires:		pkgconfig(mono)
BuildArch:		noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary:		Development files for %{name}
Group:			Development/Other
Requires:		%{name} = %{version}-%{release}

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q -n %{uname}-%{version}

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
./configure --prefix=%_prefix
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc README COPYING
%{_prefix}/lib/mono/%{pkgname}
%{_prefix}/lib/mono/gac/%{uname}

%files devel
%doc examples
%{_datadir}/pkgconfig/%{pkgname}.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.7.0-7.mga10
+ Revision: 2213450
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.7.0-6.mga9
+ Revision: 1838497
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.7.0-5.mga8
+ Revision: 1629232
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.7.0-4.mga8
+ Revision: 1629097
- rebuild for new mono

* Tue Feb 11 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1490313
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1261847
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 barjac <barjac> 0.7.0-1.mga6
+ Revision: 929352
- set release
- updated renamed spec for fork
- Fork from dbus-sharp to provide 1.0 ABI

* Sun Jan 31 2016 barjac <barjac> 1:0.7.0-7.mga6
+ Revision: 929248
- epoch added
- revert to 0.7.0 to keep ABI-1.0

* Thu Jan 28 2016 barjac <barjac> 0.8.1-1.mga6
+ Revision: 928468
- new version 0.8.1
- use fedora hack to fix build tool versions
- spec clean

* Thu Dec 03 2015 tv <tv> 0.7.0-6.mga6
+ Revision: 907875
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 748247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 678688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.0-3.mga4
+ Revision: 503800
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 348654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 dmorgan <dmorgan> 0.7.0-1.mga2
+ Revision: 113470
- imported package dbus-sharp

